import { Metadata } from 'next';
import PhotoList from '@/components/photos/PhotoList';
import { Spin } from 'antd';

export const metadata = {
  title: "Baymax | Photos",
  description: "Generated by create next app",
};

export default async function page() {
  const response = await fetch("https://jsonplaceholder.typicode.com/photos");
  const photos = await response.json();
  if (!photos) {
    return <Spin tip="Loading photos..." />;
  }
  return (
    <div>
      <PhotoList data={photos} />
    </div>
  );
}